Xerces-J API: Class XMLElementDecl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.common
Class XMLElementDecl

    java.lang.Object
      |
      +--org.apache.xerces.validators.common.XMLElementDecl

public class XMLElementDecl
extends java.lang.Object

Version:
  $Id: XMLElementDecl.java,v 1.4 2001/04/26 17:44:47 lmartin Exp $

Field Summary
`int` | `contentSpecIndex`
`DatatypeValidator` | `datatypeValidator`
`int` | `enclosingScope`
`java.util.Vector` | `key`
`java.util.Vector` | `keyRef`
`boolean` | `list`
`QName` | `name`
`int` | `type`
`static int` | `TYPE_ANY`
`static int` | `TYPE_CHILDREN`
`static int` | `TYPE_EMPTY`
`static int` | `TYPE_MIXED_COMPLEX`
`static int` | `TYPE_MIXED_SIMPLE`
`static int` | `TYPE_SIMPLE`
`java.util.Vector` | `unique`

Constructor Summary
`XMLElementDecl()`
`XMLElementDecl(XMLElementDecl elementDecl)`

Method Summary
`void` | `clear()`
`boolean` | `equals(java.lang.Object object)`
`int` | `hashCode()`
`void` | `setValues(XMLElementDecl elementDecl)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_EMPTY

    public static final int TYPE_EMPTY

### TYPE_ANY

    public static final int TYPE_ANY

### TYPE_MIXED_SIMPLE

    public static final int TYPE_MIXED_SIMPLE

### TYPE_MIXED_COMPLEX

    public static final int TYPE_MIXED_COMPLEX

### TYPE_CHILDREN

    public static final int TYPE_CHILDREN

### TYPE_SIMPLE

    public static final int TYPE_SIMPLE

### name

    public final QName name

### type

    public int type

### list

    public boolean list

### datatypeValidator

    public DatatypeValidator datatypeValidator

### contentSpecIndex

    public int contentSpecIndex

### enclosingScope

    public int enclosingScope

### unique

    public final java.util.Vector unique

### key

    public final java.util.Vector key

### keyRef

    public final java.util.Vector keyRef

Constructor Detail

### XMLElementDecl

    public XMLElementDecl()

### XMLElementDecl

    public XMLElementDecl(XMLElementDecl elementDecl)

Method Detail

### clear

    public void clear()

### setValues

    public void setValues(XMLElementDecl elementDecl)

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.